<?php

namespace Drupal\cmlmerchant\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\cmlmerchant\Service\YmlServiceInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * FeedController.
 */
class FeedController extends ControllerBase {

  /**
   * Drupal\cmlmerchant\Service\YmlServiceInterface definition.
   *
   * @var \Drupal\cmlmerchant\Service\YmlServiceInterface
   */
  protected $yml;

  /**
   * Construct new FeedController.
   *
   * @param \Drupal\cmlmerchant\Service\YmlServiceInterface $ymlService
   *   YML feed generator service.
   */
  public function __construct(YmlServiceInterface $ymlService) {
    $this->yml = $ymlService;
  }

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('cmlmerchant.yml')
    );
  }

  /**
   * Страница тестирования формирования фида.
   */
  public function debug() {
    $this->yml->debug();
    return [];
  }

}
